<!-- In the eCTD File Organisation: "util/dtd/pim-layout.mod"

	Version 2.5
	9 January 2006

	Author:
		Laurent Desqueper

Meaning or value of the  suffixes:
	?    : element must appear 0 or 1 time
	*    : element must appear 0 or more time
	+    : element must appear 1 or more times
<nothing>: element must appear 1 time
-->

<!ENTITY % HTMLlat1 SYSTEM "xhtml-lat1.ent" >
 %HTMLlat1;
<!ENTITY % HTMLspecial SYSTEM "xhtml-special.ent" >
 %HTMLspecial;
 <!ENTITY % HTMLsymbol SYSTEM "xhtml-symbol.ent" >
 %HTMLsymbol;

<!ENTITY % ImgAlign 				"( top | middle | bottom | left | right )">
<!ENTITY % TextAlign 			"align ( left | center | right | justify ) #IMPLIED">

<!ENTITY % special.extra		" img | embed ">
<!ENTITY % special.basic		" br ">
<!ENTITY % special 				"%special.basic; | %special.extra; | span">

<!ENTITY % fontstyle 				" i | b | u ">

<!ENTITY % phrase.extra 		"sub | sup">
<!ENTITY % phrase.basic 		"em | strong | code ">
<!ENTITY % phrase 				"%phrase.basic; | %phrase.extra;">

<!ENTITY % inline 					" %special; | %fontstyle; | %phrase; | comment">
<!ENTITY % Inline 					"(#PCDATA | %inline;)*">

<!ENTITY % heading 				" h1 | h2 | h3 | h4 | h5 | h6 ">
<!ENTITY % lists 						" ul | ol | dl ">
<!ENTITY % blocktext 				" hr | blockquote | center">

<!ENTITY % block					" p | %heading; | %lists; | %blocktext; | table">

<!ENTITY % Flow 					"(#PCDATA | %block; | %inline;)*">

<!ELEMENT template 				%Flow; >
<!ATTLIST template id ID #REQUIRED>

<!ELEMENT original-text				%Flow; >
<!ELEMENT alternate-text			%Flow;>

<!ELEMENT p 							%Flow; >
<!ATTLIST p style CDATA #IMPLIED>
<!ATTLIST p class CDATA #IMPLIED>

<!ELEMENT span						%Inline; >
<!ATTLIST span style CDATA #IMPLIED>

<!ELEMENT h1  						%Inline;>
<!ELEMENT h2 						%Inline;>
<!ELEMENT h3 						%Inline;>
<!ELEMENT h4 						%Inline;>
<!ELEMENT h5 						%Inline;>
<!ELEMENT h6 						%Inline;>

<!ELEMENT ul 							( li )+>
<!ATTLIST ul  type        			( disc | square | circle ) #IMPLIED >
<!ATTLIST ul style 					CDATA #IMPLIED>

<!ELEMENT ol 							( li )+>
<!ATTLIST ol type 					( 1 | a | A | i | I ) #IMPLIED>
<!ATTLIST ol start       			CDATA #IMPLIED>

<!ELEMENT li 							%Flow;>
<!ATTLIST li value       			CDATA #IMPLIED >

<!ELEMENT dl 							( dt | dd )+>
<!ELEMENT dt 							%Inline;>
<!ELEMENT dd 						%Flow;>

<!ELEMENT hr 							EMPTY>

<!ELEMENT blockquote 			%Flow;>

<!ELEMENT center 					%Flow;>

<!ELEMENT br 							EMPTY>
<!ATTLIST br class CDATA #IMPLIED>

<!ELEMENT em 						%Inline;>   
<!ELEMENT strong 					%Inline;>
<!ELEMENT code 					%Inline;>  
<!ELEMENT sub 						%Inline;> 
<!ELEMENT sup 						%Inline;> 
<!ELEMENT i 							%Inline;>   
<!ELEMENT b 							%Inline;>  
<!ELEMENT u 							%Inline;>   

<!ELEMENT img EMPTY>
<!ATTLIST img
  src		CDATA			#REQUIRED
  alt			CDATA			#REQUIRED
  height	CDATA			#IMPLIED
  width		CDATA			#IMPLIED
  align		CDATA			#IMPLIED >

<!ELEMENT embed EMPTY>
<!ATTLIST embed
  src		CDATA			#REQUIRED
  alt			CDATA			#REQUIRED
  height	CDATA			#IMPLIED
  width		CDATA			#IMPLIED
  align		CDATA			#IMPLIED 
  type		CDATA			#IMPLIED >


<!ENTITY % TFrame 				"( void | above | below | hsides | lhs | rhs | vsides | box | border)">
<!ENTITY % TRules 				"( none | groups | rows | cols | all )">
<!ENTITY % TAlign 					"( left | center | right )">
<!ENTITY % cellhalign
  "align			( left | center | right | justify | char ) #IMPLIED
   char			CDATA    #IMPLIED
   charoff		CDATA       #IMPLIED"
  >

<!ENTITY % cellvalign
  "valign     ( top | middle | bottom | baseline ) #IMPLIED"
  >

<!ELEMENT table 				(caption?, (col* | colgroup*), thead?, tfoot?, (tbody+ | tr+))>
<!ELEMENT caption  			%Inline;>
<!ELEMENT col					EMPTY>
<!ELEMENT colgroup			(col)*>
<!ELEMENT thead    			(tr)+>
<!ELEMENT tfoot    				(tr)+>
<!ELEMENT tbody    			(tr)+>
<!ELEMENT tr       				(th | td)+>
<!ELEMENT th       				%Flow;>
<!ELEMENT td       				%Flow;>

<!ATTLIST table
  width				CDATA			#IMPLIED
  border			CDATA			#IMPLIED
  frame			( void | above | below | hsides | lhs | rhs | vsides | box | border ) #IMPLIED
  rules				( none | groups | rows | cols | all ) #IMPLIED
  cellspacing	CDATA			#IMPLIED
  cellpadding	CDATA			#IMPLIED
  align				%TAlign;			#IMPLIED 
 >

<!ENTITY % CAlign "( top | bottom | left | right)">
<!ATTLIST caption
  align       		%CAlign;       	#IMPLIED >

<!ATTLIST colgroup
  %cellhalign;
  %cellvalign;
  width       		CDATA     	#IMPLIED
  span	            CDATA       "1"
>

<!ATTLIST col
  %cellhalign;
  %cellvalign;
  width       		CDATA     	#IMPLIED
  span	            CDATA       "1"
>

<!ATTLIST thead
  %cellhalign;
  %cellvalign;
  >

<!ATTLIST tfoot
  %cellhalign;
  %cellvalign;
  >

<!ATTLIST tbody
  %cellhalign;
  %cellvalign;
  >

<!ATTLIST tr
  %cellhalign;
  %cellvalign;
  >

<!ATTLIST th
  %cellhalign;
  %cellvalign;
  width       		CDATA     	#IMPLIED
  height     		CDATA       	#IMPLIED
  rowspan	    CDATA        #IMPLIED
  colspan	        CDATA        #IMPLIED  
>

<!ATTLIST td
  %cellhalign;
  %cellvalign;
  width       		CDATA     	#IMPLIED
  height     		CDATA       	#IMPLIED
  rowspan	    CDATA        #IMPLIED
  colspan	        CDATA        #IMPLIED
  >