<?xml version="1.0" encoding="utf-8"?>

<!-- 
	Version 2.6
	24 March 2006

	Author:
		Laurent Desqueper
-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:ectd="http://www.ich.org/ectd" 
	xmlns:xlink="http://www.w3c.org/1999/xlink">

<!-- include combination and layout style sheets -->
<xsl:include href="common.xsl"/>
<xsl:include href="combined.xsl"/>
<xsl:include href="layout.xsl"/>

<!-- style sheet parameters -->
<xsl:param name="docpos"/>			<!-- The element to display -->
<xsl:param name="depth"/>			<!-- not used here -->
<xsl:param name="lang"/>				<!-- The language of the PI document to generate -->
<xsl:param name="caller"/>			<!-- The caller of the stylesheet : if empty, caller is the PIM Viewer -->
<xsl:param name="section"/>			<!-- The section to display : if empty, all document displays -->

<!-- style sheet version number -->
<xsl:param name="xsl-ver">2.6</xsl:param>

<!-- set output type to XHTML -->
<xsl:output indent="yes" method="xml"/>

<!-- structure of the document -->
<xsl:template match="/">
<html>
	<head>
		<title>
			<xsl:call-template name="getHeadingText"><xsl:with-param name="id">anx3</xsl:with-param></xsl:call-template>
			-
			<xsl:call-template name="getHeadingText"><xsl:with-param name="id">anx3_title</xsl:with-param></xsl:call-template>
		</title>
		<link href="util/style/doc.css" rel="stylesheet"/>
	</head>
	<body background="util/style/watermark.gif">
		<br/>
		<table cellpadding="1" cellspacing="0" width="100%" style="color:black">
			<xsl:for-each select="/pim/level_product/*[name() = $docpos]">
				<xsl:if test="position() = $depth">
					<xsl:for-each select="pi-group/pi-leaf">
						<xsl:call-template name="displayTemplateText">
							<xsl:with-param name="id" select="@ref-id"/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
		</table>
	</body>
</html>
</xsl:template>

</xsl:stylesheet>